Bug 836982 - RFE: Zanata should provide UI to upload multiple translated files from local repository
RFE: Zanata should provide UI to upload multiple translated files from local ...
Status: CLOSED UPSTREAM
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
unspecified
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Michelle Kim
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 08:13 EDT by Parag Nemade
Modified: 2015-07-28 23:33 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-28 23:33:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
djansen: needinfo-


Attachments (Terms of Use)
transifex-upload-download-dialog.png (88.13 KB, image/png)
2014-10-01 13:28 EDT, Jérôme Fenal
no flags Details

  None (edit)
Description Parag Nemade 2012-07-02 08:13:26 EDT
Description of problem:
Some people will feel its always easy to use push command to send quickly new po files to zanata server but I would like to request for UI where it will take local directory path where po files are generated and when clicked on upload button, will send these new po files to zanata project server.

Version-Release number of selected component (if applicable):
current zanata server

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Runa Bhattacharjee 2012-07-02 08:42:07 EDT
Just to confirm, this is a requirement for multiple language files to be uploaded from a project management perspective and privileges? Thanks.
Comment 2 Parag Nemade 2012-07-02 09:52:21 EDT
Yes. The UI will ask the po files directory path and this feature will read the contents of directory and then upload all the available language po files to Zanata.

zanata-python-client-1.3.5-1.fc17.noarch
zanata python client version: 1.3.5, zanata server API version: 1.5.0
Comment 3 Runa Bhattacharjee 2012-07-30 08:43:42 EDT
Request for Technical Evaluation.
Comment 4 Parag Nemade 2012-12-26 04:32:38 EST
Can anyone check what is the update for this issue? is this resolved or deferred or denied? I have not yet got any update since last 5 months.
Comment 5 Alex Eng 2013-01-02 19:19:09 EST
It is possible to implement this feature in Zanata.

The 'scanning' feature is mostly implemented in desktop application but not web application as there is a high security risk to consider when allowing browser to scan through local drive/directory which is not recommended. 

From most of the upload features I've seen from web, there's no "scanning" features involve and the interaction has always been selecting individual files from local drive. 

As an alternative, our client supports pushing of all documents from local drive.

Please contact us if you have any problem setting up zanata client.
Comment 6 Parag Nemade 2013-09-10 12:09:23 EDT
Can anyone check what is the update for this issue? is this resolved or deferred or denied?
Comment 7 David Mason 2013-09-10 19:28:52 EDT
(In reply to Parag from comment #6)
> Can anyone check what is the update for this issue? is this resolved or
> deferred or denied?

I don't think we have any plans to work on this in the next release since we are working on improving the server and the cli client, but I certainly think a GUI client is something that should be implemented at some point. In my own time I have made a start to coding a GUI client targeted at translators, a lot of that code could be reused to make a GUI client for maintainers, but development is slow since I'm usually quite busy these days.

It is also worth pointing out that any client just needs to use Zanata's REST API, so it is possible to make clients without any need to fit in with server development or the core development team.
Comment 8 Parag Nemade 2014-06-04 04:10:50 EDT
Any updates here?
Comment 9 Jérôme Fenal 2014-10-01 13:27:59 EDT
This feature, if I understand correctly the initial request, would be to have the same Transifex provides, with the ability for a translator working offline with a tool such as kbabek/lokalize to upload, via the web interface (e.g. lower the access barrier to their contributions), a single translated .po.

Transifex allows it from the resource dialog. See attached transifex-upload-download-dialog.png for illustration.
Comment 10 Jérôme Fenal 2014-10-01 13:28:37 EDT
Created attachment 943160 [details]
transifex-upload-download-dialog.png
Comment 11 Isaac Rooskov 2014-10-01 19:04:41 EDT
Translators can work offline and then upload translated work as they wish.

Translation file upload is supported for .po and .properties with the command line client, and .po for web upload. Other file types (txt, html, etc.) allow translated file upload, but it is not recommended since their structure makes it difficult to reliably match translations to the appropriate source.

There has been work done on a GUI client built for offline translation. Other improvements have been given priority over this in the past, however it is something we can raise the priority on if it is seen as a necessity. 

Thanks, 

Isaac
Comment 12 Luke Brooker 2014-10-01 19:46:07 EDT
If we are looking at an offline editor, I think we are better off making the new(in progress) editor capable of doing a lot of tasks offline. This would enhance the experience for everyone and mean we don't need to maintain 2 editing tools.

If users still want to use another offline tool for translation, they can still upload new translations via the web UI in a similar way to Transifex. We have made some improvements to the file uploader in the UI for source files, we should add these enhancements to translation file uploads too, allowing whole directory uploads of translations if needed.
Comment 13 Parag Nemade 2015-01-12 00:46:57 EST
I lost the interest in zanata bugs now.
Comment 14 Michelle Kim 2015-02-23 20:56:26 EST
This feature (Multiple translated file upload via UI) would become more useful for users in near future. Setting the priority high.
Comment 15 Michelle Kim 2015-03-24 22:26:49 EDT
Estimated implementation:

Update the dialog window - use the new style dialogue for single translated source file upload + more meaningful tooltips for merge - 2 story points
Comment 16 Michelle Kim 2015-04-01 01:00:10 EDT
I created a separate bug for the 2 story points - updating the dialogue window https://bugzilla.redhat.com/show_bug.cgi?id=1207951

This bug's scope is to provide a way for maintainers/translators to upload multiple translated files via GUI. Implementation details to be discussed.
Comment 17 Zanata Migrator 2015-07-28 23:33:01 EDT
Migrated; check JIRA for bug status: http://zanata.atlassian.net/browse/ZNTA-317

Note You need to log in before you can comment on or make changes to this bug.